Package io.vertx.rxjava3.sqlclient

## Class Query<T>

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.Query<T>

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`
  Direct Known Subclasses:
    `PreparedQuery`

      public class Query<T>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A query.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Query>` | `__TYPE_ARG` |
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Query​(Query delegate)` |
    `Query​(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Single<T>` | `execute()` | Execute the query.
    `Query` | `getDelegate()` |
    `int` | `hashCode()` |
    `<U> Query<RowSet<U>>` | `mapping​(Function<Row,​U> mapper)` | Use the specified `mapper` for mapping `Row` to ``.
    `static <T> Query<T>` | `newInstance​(Query arg)` |
    `static <T> Query<T>` | `newInstance​(Query arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)` |
    `Single<T>` | `rxExecute()` | Execute the query.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Query> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### Query

          public Query​(Query delegate)

    - #### Query

          public Query​(Object delegate,
                       io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Query getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### execute

          public Single<T> execute()

      Execute the query.
      Returns:
        a future notified with the result

    - #### rxExecute

          public Single<T> rxExecute()

      Execute the query.
      Returns:
        a future notified with the result

    - #### mapping

          public <U> Query<RowSet<U>> mapping​(Function<Row,​U> mapper)

      Use the specified `mapper` for mapping `Row` to ``.
      Parameters:
        `mapper` -
      Returns:

    - #### newInstance

          public static <T> Query<T> newInstance​(Query arg)

    - #### newInstance

          public static <T> Query<T> newInstance​(Query arg,
                                                 io.vertx.lang.rx.TypeArg<T> __typeArg_T)